Skip to main content
GET
/
event
/
push
/
subscriptions
/
{subscriptionId}
/
deliveryattempts
/
{processId}
Error
A valid request URL is required to generate request examples
{
  "createDate": "2023-11-07T05:31:56Z",
  "deliveryAttempts": [
    {
      "deliveryStatus": "<string>",
      "errorType": "<string>",
      "executionDate": "2023-11-07T05:31:56Z",
      "httpStatus": {
        "code": 123,
        "name": "<string>"
      },
      "message": "<string>"
    }
  ],
  "deliveryStatus": "<string>",
  "eventSummary": {
    "catalogId": 123,
    "correlationId": "<string>",
    "createDate": "2023-11-07T05:31:56Z",
    "entityId": "<string>",
    "eventId": "<string>",
    "extendedProperties": [
      {
        "key": "<string>",
        "value": null
      }
    ],
    "masterCatalogId": 123,
    "siteId": 123,
    "tenantId": 123,
    "topic": "<string>"
  },
  "id": 123,
  "isRunning": true,
  "lastExecutionDate": "2023-11-07T05:31:56Z",
  "nextExecutionDate": "2023-11-07T05:31:56Z",
  "retriesRemaining": 123,
  "updateDate": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

subscriptionId
string
required
processId
integer<int32>
required

Query Parameters

responseFields
string

limits which fields are returned in the response body

Response

OK

The external/public Event entity used specifically in PULL/POLL event scenarios

createDate
string<date-time> | null

Create Date

deliveryAttempts
object[] | null

Details about each attempted delivery of the event to the endpoint

deliveryStatus
string | null

Status of the delivery process (EventDeliveryStatusType)

eventSummary
object

Event Summary is a trimmed version of an event that is utilized when displaying the event delivery (aka webhook, HTTP callback, HTTP POST) process history/details

id
integer<int32> | null

The unique identifier for an event delivery summary

isRunning
boolean

Indicates whether delivery of the event is currently being attempted at this moment in time

lastExecutionDate
string<date-time>

The date that the delivery was last attempted (either successfully or not)

nextExecutionDate
string<date-time>

The date that the delivery will next be attempted, if the event has not been successfully delivered yet and there are still retries remaining

retriesRemaining
integer<int32> | null

Number of delivery attempts remaining

updateDate
string<date-time> | null

Update Date